<!DOCTYPE html>
<html>

<head>
    <title>CAN Test</title>
    <link href="/css/main.css" rel="stylesheet" type="text/css">
    <link href="/images/logo.jpg" rel="icon" type="image/jpg" />
</head>
<script src="/socket.io/socket.io.js"></script>
<script src="js/main.js" type="application/javascript"></script>

<body>
    <nav>
        <div class='leftMenu'>
            <img alt="logo" src="/images/logoMenu.png" />
        </div>
        <div class='mainMenu'>
            <div class='menuItem noSelectable' onclick='stopListenSocket()'>Stop</div>
            <div class='menuItem noSelectable' onClick='restart()'>Restart</div>
            <div class='menuItem noSelectable' onclick='changeToHexa()' id="hexaDeciButton">ToHexadecimal</div>
        </div>
    </nav>
    <div class='container'>

        <div class='titleContainer'>
            <h2 class="noSelectable" id='counterShow'>Number of data pack received : 0</h2>
            <input id="search" onchange="filter(value)" type="search" value="">
        </div>

        <div class='tableContainer' id="tableContainer">
            <table id='table'>
                <tr>
                    <th rowspan="2" scope="col">Data Pack</th>
                    <th rowspan="2" scope="col">Time</th>
                    <th rowspan="2" scope="col">Id</th>
                    <th rowspan="2" scope="col">Name</th>
                    <th rowspan="2" scope="col">Dlc</th>
                    <th colspan="8" scope="col">Data</th>
                </tr>
                <tr>
                    <th scope="col">Byte 1</th>
                    <th scope="col">Byte 2</th>
                    <th scope="col">Byte 3</th>
                    <th scope="col">Byte 4</th>
                    <th scope="col">Byte 5</th>
                    <th scope="col">Byte 6</th>
                    <th scope="col">Byte 7</th>
                    <th scope="col">Byte 8</th>
                </tr>
            </table>
        </div>
    </div>
</body>
<footer>
    <p>Copyright © 2021 | ANDRIEUX Liam | DREZET Lucas | REGOUIN Roman</p>
</footer>

</html>